Important update regarding upgrading On-Premises beacons

Flexera
Flexera
1 11 1,383

Some issues have been identified for certain customers on the 2019 R2 versions of the beacons and so for On-Premises customers running 2019 R1 or earlier beacons we recommend that you do not upgrade those beacons at this time without a specific reason to upgrade.

You can upgrade your application server and agents and these will continue to work with the 2019 R1 beacons (if they are on separate servers).  Our current recommendation is to wait for the June 2020 release FlexNet Manager Suite 2020 R1 before considering further beacon upgrades.

The next release is expected to contain some changes which will significantly improve performance during certain discovery and remote execution operations compared to the performance of beacon versions 2019 R2.

Cloud customers have been given separate guidance under the following article - https://community.flexera.com/t5/FlexNet-Manager-Release-Blog/FlexNet-Manager-Suite-update-for-March...

11 Comments
Active participant

Hello,

what is mean under "some issues"? We already upgraded all our on-prem Beacons to 2019R2. Where can I get more info?

Thanks!

Pavol

Flexera
Flexera

There have been issues with downloading packages and also in some cases (particularly where DNS is disabled in the environment) there have been CPU spikes on the beacons.

These are addressed in the 2020 R1 beacons.

Active participant

Thanks! I'll be monitoring them more deeper.

Pavol

Flexera beginner

Hi @mrichardson,

Is there any hot fix or workaround for this know issue with 2019 R2 Beacon 

Occasional contributor

This bug also prevents our new agents from getting profile loaded, which leads to a fact that numerous new agents go comfortably numb.  In the middle of a service provider transition this is kind of hell break loose for us....


Download FAILED for “http://server.some.domain/ManageSoftDL//ClientSettings/Default%20Failover%20Settings%2081BFCA037D2F4... Settings.osd”. Download failure: Error 0xE0500194: 404 Not Found."/>

Occasional contributor

We are a new customer who installed FNMS 2019 R2 on premise, so all our beacons are this version.   What options do we have now?  Are we required to re-install the entire system at a different version?  Or, could just the beacons be re-installed as a different version?

Flexera beginner

@DiannaB  we downgraded each of our beacons to v13.2.0.1104 and left the rest of the system at FNMS 2019 R2.  You should be able to download the v13 beacon engine installer from your downloads page.

Frequent contributor

@weskus 

Did you already checked the IIS Failed Request Logging log file (setup to monitor error code 404) so identify where the agent would like to download the file? The known issue is rather characterized by an error 500 internal server error and wrong file permission.

Best,

Dennis

Frequent contributor

@DiannaBthere a few workarounds to solve this issue until you update to the lastest version. See this posting for more information - https://community.flexera.com/t5/FlexNet-Manager-Forum/Last-download-of-packages-for-managed-devices...

Please check the Beacons status page for any errors and for more details the packageretriever.log on each affected beacon.

We had this error 500 and created a short PowerShell script to reset the permissions by schedule every 5 minutes to solve the issue.

 

BEst,

Dennis

Occasional contributor

@christopher_3  and @dennis_reinhardt   thanks for the tips!  

Community Manager Community Manager
Community Manager

@DiannaB - if you now have 2019 R2 beacons deployed and are not experiencing any particular problems with beacon operation (such as problematically high CPU usage), then my recommendation would be to stick with what you have and make no changes.

The problems alluded to in this post will not affect most environments - the post is suggesting to avoid upgrading existing beacons to the 2019 R2 unnecessarily or without good reason. The post is not advising avoid all use of the 2019 R2 beacon version, and if you have it deployed and it is operational then that's great.

If you have the 2019 R2 beacon deployed and are having problems then possible courses of action would be to post a query in the FlexNet Manager forum to see what others have done for the particular issue you have observed, and/or raise a case with your FlexNet Manager support provider for advice in relation to the specific problem you have observed.